###################################################
### chunk number 1: preliminaries
###################################################
#line 56 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
library("isotone")
options(prompt = "R> ", continue = "+  ")


###################################################
### chunk number 2: 
###################################################
#line 448 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
require("isotone")
data("pituitary")
head(pituitary)


###################################################
### chunk number 3: 
###################################################
#line 456 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
res1 <- with(pituitary, gpava(age, size, ties = "primary"))
res2 <- with(pituitary, gpava(age, size, ties = "secondary"))
res3 <- with(pituitary, gpava(age, size, ties = "tertiary"))


###################################################
### chunk number 4: pit-plot eval=FALSE
###################################################
## #line 462 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
## layout(matrix(c(1,1,2,2,0,3,3,0), 2, 4, byrow = TRUE))
## plot(res1, main = "PAVA plot (primary)")
## plot(res2, main = "PAVA plot (secondary)")
## plot(res3,  main = "PAVA plot (tertiary)")


###################################################
### chunk number 5: pit-plot1
###################################################
#line 472 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
#line 462 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw#from line#472#"
layout(matrix(c(1,1,2,2,0,3,3,0), 2, 4, byrow = TRUE))
plot(res1, main = "PAVA plot (primary)")
plot(res2, main = "PAVA plot (secondary)")
plot(res3,  main = "PAVA plot (tertiary)")
#line 473 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"


###################################################
### chunk number 6: 
###################################################
#line 481 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
tapply(res3$x, res3$z, mean)


###################################################
### chunk number 7: 
###################################################
#line 494 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
data("posturo")
head(posturo)


###################################################
### chunk number 8: 
###################################################
#line 501 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
res.mean <- with(posturo, gpava(height, cbind(SOT.1, SOT.2, SOT.3),
  solver = weighted.mean, ties = "secondary"))
res.median <- with(posturo, gpava(height, cbind(SOT.1, SOT.2, SOT.3),
  solver = weighted.median, ties = "secondary"))


###################################################
### chunk number 9: post-plot eval=FALSE
###################################################
## #line 508 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
## plot(res.mean)
## plot(res.median)


###################################################
### chunk number 10: post-plot1
###################################################
#line 516 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
par(mar = c(5,4,4,2))
par(mfrow = c(1, 2))
#line 508 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw#from line#518#"
plot(res.mean)
plot(res.median)
#line 519 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"


###################################################
### chunk number 11: 
###################################################
#line 541 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
set.seed(12345)
y <- rnorm(9)
w1 <- rep(1, 9)
Atot <- cbind(1:8, 2:9)


###################################################
### chunk number 12: 
###################################################
#line 550 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
Atot


###################################################
### chunk number 13: 
###################################################
#line 558 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
fit.ls1 <- activeSet(Atot, "LS", y = y, weights = w1)
fit.ls2 <- activeSet(Atot, fSolver, y = y, weights = w1,
  fobj = function(x) sum(w1 * (x - y)^2),
  gobj = function(x) 2 * drop(w1 * (x - y)))


###################################################
### chunk number 14: 
###################################################
#line 567 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
set.seed(12345)
wvec <- 1:9
wmat <- crossprod(matrix(rnorm(81), 9, 9))/9
fit.wls <- activeSet(Atot, "LS", y = y, weights = wvec)
fit.gls <- activeSet(Atot, "GLS", y = y, weights = wmat)


###################################################
### chunk number 15: 
###################################################
#line 576 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
fit.qua <- activeSet(Atot, "quantile", y = y, weights = wvec, aw = 0.3, bw = 0.7)


###################################################
### chunk number 16: 
###################################################
#line 582 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
fit.abs <- activeSet(Atot, "L1", y = y, weights = w1)


###################################################
### chunk number 17: 
###################################################
#line 588 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
fit.eps <- activeSet(Atot, "L1eps", y = y, weights = w1, eps = 1e-04)
fit.pow <- activeSet(Atot, "Lp", y = y, weights = w1, p = 1.2)


###################################################
### chunk number 18: 
###################################################
#line 595 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
fit.che <- activeSet(Atot, "chebyshev", y = y, weights = w1)


###################################################
### chunk number 19: 
###################################################
#line 601 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
fit.asy <- activeSet(Atot, "asyLS", y = y, weights = w1, aw = 2, bw = 1)


###################################################
### chunk number 20: 
###################################################
#line 607 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
fit.hub <- activeSet(Atot, "huber", y = y, weights = w1, eps = 1)
fit.svm <- activeSet(Atot, "SILF", y = y, weights = w1, beta = 0.8, eps = 0.2)


###################################################
### chunk number 21: 
###################################################
#line 614 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
set.seed(12345)
yp <- rpois(9, 5)
x0 <- 1:9
fit.poi <- activeSet(Atot, "poisson", x0 = x0, y = yp)


###################################################
### chunk number 22: 
###################################################
#line 623 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
Atree <- matrix(c(1, 1, 2, 2, 2, 3, 3, 8, 2, 3, 4, 5, 6, 7, 8, 9), 8, 2)
Atree
fit.tree <- activeSet(Atree, "LS", y = y, weights = w1)


###################################################
### chunk number 23: 
###################################################
#line 631 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
Aloop <- matrix(c(1, 2, 3, 3, 4, 5, 6, 6, 7, 8, 3, 3, 4, 5, 6, 6,
  7, 8, 9, 9), 10, 2)
Aloop
fit.loop <- activeSet(Aloop, "LS", y = y, weights = w1)


###################################################
### chunk number 24: 
###################################################
#line 640 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
Ablock <- cbind(c(rep(1, 3), rep(2, 3), rep(3, 3), rep(4, 3), rep(5, 3),
  rep(6, 3)), c(rep(c(4, 5, 6), 3), rep(c(7, 8, 9), 3)))
Ablock
fit.block <- activeSet(Ablock, "LS", y = y, weights = w1)


###################################################
### chunk number 25: 
###################################################
#line 652 "d:/Rcompile/CRANpkg/local/2.12/isotone/inst/doc/isotone.Rnw"
pava.fitted <- gpava(1:9, y)$x
aset.fitted <- activeSet(Atot, "LS", weights = w1, y = y)$x
mse <- mean((pava.fitted - aset.fitted)^2)
mse


